#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=pymisp
export PYBUILD_TEST_ARGS=-k 'not test_emailobject and not test_mimeType and not test_default_attributes and not test_feed and not test_git_vuln_finder and not test_obj_default_values and not test_object_galaxy and not test_object_tagand not test_to_dict_json_format and not test_emailobject and not testlive_sync and not testlive_comprehensive'

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/source build/html # HTML generator

